library verilog;
use verilog.vl_types.all;
entity MicroVIP is
    generic(
        SYSTEM_CLK_BITS : integer := 3;
        SYSTEM_CLK_DIV  : integer := 3;
        BAUD_CLK_BITS   : integer := 3;
        BAUD_CLK_DIV    : integer := 6
    );
    port(
        inclk0_sig      : in     vl_logic;
        led_1_n         : out    vl_logic;
        led_2_n         : out    vl_logic;
        led_3_n         : out    vl_logic;
        ext_por_n       : in     vl_logic;
        run_sw          : in     vl_logic;
        q_led           : out    vl_logic;
        uart_txd        : out    vl_logic;
        ef_n            : in     vl_logic_vector(4 downto 2);
        keypad_out      : out    vl_logic_vector(15 downto 0);
        gpio_out        : out    vl_logic_vector(7 downto 0);
        gpio_in         : in     vl_logic_vector(7 downto 0);
        gpio_out_stb    : out    vl_logic;
        gpio_out_stb_n  : out    vl_logic;
        flash_miso      : in     vl_logic;
        flash_mosi      : out    vl_logic;
        flash_sclk      : out    vl_logic;
        flash_cs_n      : out    vl_logic;
        flash_wp_n      : out    vl_logic;
        pbtn            : in     vl_logic;
        speaker         : out    vl_logic;
        sync_n          : out    vl_logic;
        video           : out    vl_logic
    );
end MicroVIP;
